GNET_STATS_START_COP(9)

NAME
gnet_stats_start_copy - start dumping procedure in compatibility mode

SYNOPSIS

int gnet_stats_start_copy(struct sk_buff * skb, int type, spinlock_t * lock, struct gnet_dump * d);

ARGUMENTS

skb
    socket buffer to put statistics TLVs into

type
    TLV type for top level statistic TLV

lock
    statistics lock

d
    dumping handle

DESCRIPTION

Initializes the dumping handle, grabs the statistic lock and appends an empty TLV header to the socket buffer for use a container for all other statistic TLVS.

Returns 0 on success or -1 if the room in the socket buffer was not sufficient.

COPYRIGHT